org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class FilterTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterTest

- Direct Known Subclasses:
    FilterTest.Traversals

      public abstract class FilterTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FilterTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_E_filterXfalseX()`
    `void` | `g_E_filterXtrueX()`
    `void` | `g_V_filterXfalseX()`
    `void` | `g_V_filterXlang_eq_javaX()`
    `void` | `g_V_filterXname_startsWith_m_OR_name_startsWith_pX()`
    `void` | `g_V_filterXtrueX()`
    `void` | `g_VX1X_filterXage_gt_30X()`
    `void` | `g_VX1X_out_filterXage_gt_30X()`
    `void` | `g_VX2X_filterXage_gt_30X()`
    `abstract Traversal<Edge,Edge>` | `get_g_E_filterXfalseX()`
    `abstract Traversal<Edge,Edge>` | `get_g_E_filterXtrueX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_filterXfalseX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_filterXlang_eq_javaX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_filterXname_startsWith_m_OR_name_startsWith_pX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_filterXtrueX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_filterXage_gt_30X(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_out_filterXage_gt_30X(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterTest

          public FilterTest()

  - ### Method Detail

    - #### get_g_V_filterXfalseX

          public abstract Traversal<Vertex,Vertex> get_g_V_filterXfalseX()

    - #### get_g_V_filterXtrueX

          public abstract Traversal<Vertex,Vertex> get_g_V_filterXtrueX()

    - #### get_g_V_filterXlang_eq_javaX

          public abstract Traversal<Vertex,Vertex> get_g_V_filterXlang_eq_javaX()

    - #### get_g_VX1X_filterXage_gt_30X

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_filterXage_gt_30X(Object v1Id)

    - #### get_g_VX1X_out_filterXage_gt_30X

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_out_filterXage_gt_30X(Object v1Id)

    - #### get_g_V_filterXname_startsWith_m_OR_name_startsWith_pX

          public abstract Traversal<Vertex,Vertex> get_g_V_filterXname_startsWith_m_OR_name_startsWith_pX()

    - #### get_g_E_filterXfalseX

          public abstract Traversal<Edge,Edge> get_g_E_filterXfalseX()

    - #### get_g_E_filterXtrueX

          public abstract Traversal<Edge,Edge> get_g_E_filterXtrueX()

    - #### g_V_filterXfalseX

          public void g_V_filterXfalseX()

    - #### g_V_filterXtrueX

          public void g_V_filterXtrueX()

    - #### g_V_filterXlang_eq_javaX

          public void g_V_filterXlang_eq_javaX()

    - #### g_VX1X_filterXage_gt_30X

          public void g_VX1X_filterXage_gt_30X()

    - #### g_VX2X_filterXage_gt_30X

          public void g_VX2X_filterXage_gt_30X()

    - #### g_VX1X_out_filterXage_gt_30X

          public void g_VX1X_out_filterXage_gt_30X()

    - #### g_V_filterXname_startsWith_m_OR_name_startsWith_pX

          public void g_V_filterXname_startsWith_m_OR_name_startsWith_pX()

    - #### g_E_filterXfalseX

          public void g_E_filterXfalseX()

    - #### g_E_filterXtrueX

          public void g_E_filterXtrueX()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.